Subject: Re: bug#75354: (29.4; eww buffer is not displayed correctly when used from bookmark-jump )

From: Eli Zaretskii <[email-masked]>
Date: Wed, 08 Jan 2025 16:03:34 +0200

> From: Thierry Volpiatto <[email-masked]>
> Cc: Thierry Volpiatto <[email-masked]>,  [email-masked]
> Date: Wed, 08 Jan 2025 13:52:32 +0000
> 
> > This is contrary to what you originally wrote (with which I agree):
> 
> Yes, after deeper search I found that `bookmark--jump-via` is behaving
> like this AFAIU:
>  - It calls the handler which creates a new buffer related to bookmark.
>  - It then displays the current-buffer (the one before jumping to bmk) in
>  a window according to DISPLAY-FUNCTION and make the bookmark buffer current.
> 
> This approach is OK as long as the handler fn doesn't try do do one part
> of the job (window handling) itself, which is not the case at least with
> eww and w3m.  It is as well counter intuitive, DISPLAY-FUNCTION should
> be called on the buffer generated by bookmark and not the contrary, so
> this change makes the code simpler and easier to understand.
> 
> > By contrast, the change you propose now will affect all the uses of
> > bookmarks, everywhere,
> 
> Yes, this is intended, in addition of fixing eww, it fixes w3m and also
> the quit function of eww (actually broken).
> 
> > which is riskier, given how many different variants of bookmark usage
> > are out there.
> 
> Tested here on many different kinds of bookmarks and work as expected
> unlike the current code.

OK, thanks.  Let's leave this for a few days to give people time to
post comments if they have them.